2 u010584063 u010584063 于 2015.06.27 11:17 提问

安装webmin依赖Net_SSLeay失败 1C

安装webmin时提示需要安装Net_ssleay。
安装时报错

 [root@localhost Net-SSLeay-1.49]# make install
Skip blib/lib/Net/SSLeay.pm (unchanged)
Skip blib/lib/Net/SSLeay.pod (unchanged)
Skip blib/lib/Net/SSLeay/Handle.pm (unchanged)
gcc -c   -D_REENTRANT -D_GNU_SOURCE -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g   -DVERSION=\"1.49\" -DXS_VERSION=\"1.49\" -fPIC "-I/usr/lib64/perl5/CORE"   SSLeay.c
SSLeay.xs:153:25: 致命错误:openssl/err.h:没有那个文件或目录
 #include <openssl/err.h>
                         ^
编译中断。


其中使用的openssl版本是1.0.1e,Net_SSLeay版本1.2.和1.4.9都试过

1个回答

oyljerry
oyljerry   Ds   Rxr 2015.06.27 13:34

openssl对应的版本是否正确。现在1e有点老了

Csdn user default icon
上传中...
上传图片
插入图片